org.richfaces.component.html

## Class HtmlPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIPanel
      - - org.richfaces.component.html.HtmlPanel

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class HtmlPanel
      extends UIPanel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBodyClass()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeader()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setBodyClass(java.lang.String _bodyClass)`
    `void` | `setHeader(java.lang.String _header)`
    `void` | `setHeaderClass(java.lang.String _headerClass)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`

    - ### Methods inherited from class org.richfaces.component.UIPanel

      `getRendersChildren`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanel

          public HtmlPanel()

  - ### Method Detail

    - #### getBodyClass

          public java.lang.String getBodyClass()

    - #### setBodyClass

          public void setBodyClass(java.lang.String _bodyClass)

    - #### getHeader

          public java.lang.String getHeader()

      Specified by:
        `getHeader` in class `UIPanel`

    - #### setHeader

          public void setHeader(java.lang.String _header)

      Specified by:
        `setHeader` in class `UIPanel`

    - #### getHeaderClass

          public java.lang.String getHeaderClass()

    - #### setHeaderClass

          public void setHeaderClass(java.lang.String _headerClass)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright © 2013. All Rights Reserved.